/**
 * Group selector
 */
.tux-groupselector {
	position: absolute;
	top: 14px;
	right: 0;
	z-index: 1000;
	display: none;
	float: left;
	margin-top: 13px;
	min-width: 600px;
	width: 600px;
	padding: 0;
	border: 1px solid #888;
	background-color: #f0f0f0;
	border-radius: 5px;
	box-shadow: 0 5px 10px rgba( 0, 0, 0, 0.2 );
	-webkit-background-clip: padding-box;
	-moz-background-clip: padding;
	background-clip: padding-box;
	text-align: left;
}

/* The triangle shaped callout */
.tux-groupselector:before {
	border-bottom: 7px solid #888;
	border-left: 7px solid transparent;
	border-right: 7px solid transparent;
	content: '';
	display: inline-block;
	left: 99px;
	position: absolute;
	top: -7px;
}

.tux-groupselector:after {
	border-bottom: 6px solid #f0f0f0;
	border-left: 6px solid transparent;
	border-right: 6px solid transparent;
	content: '';
	display: inline-block;
	left: 100px;
	position: absolute;
	top: -6px;
}

/* Remove the triangle shaped callout */
.tux-groupselector.removecallout:before,
.tux-groupselector.removecallout:after {
	content: none;
}

.tux-groupselector__filter {
	height: 30px;
	padding-top: 10px;
}

.tux-groupselector__filter__search__input {
	font-size: 14px;
	width: 100%;
	height: 28px;
	border: 1px solid #c9c9c9;
}

.tux-groupselector__filter__search__icon {
	background: url( ../images/search.png ) no-repeat scroll right center transparent;
	background-image: -webkit-linear-gradient( transparent, transparent ), url( ../images/search.svg );
	/* @embed */
	background-image: linear-gradient( transparent, transparent ), url( ../images/search.svg );
	background-size: 25px;
	height: 28px;
	width: 28px;
}

.tux-groupselector button {
	height: 32px;
	margin: 5px;
	font-weight: bold;
}

/*
 * Group tab
 */
.tux-grouptab {
	box-sizing: border-box;
	line-height: 30px;
	height: 30px;
	color: #252525;
	cursor: pointer;
	padding: 2px 5px;
	margin: 0 4px;
	display: inline-block;
}

.tux-grouptab--selected {
	border-bottom: 2px solid #0645ad;
}

/*
 * Group list
 */
.tux-grouplist {
	max-height: 400px;
	overflow-y: auto;
	overflow-x: hidden;
	background-color: #fff;
	min-height: 200px;
	border-radius: 0 0 5px 5px;
}

.tux-grouplist__item {
	position: relative;
	border-bottom: 1px solid #eee;
	height: 50px;
	cursor: pointer;
}

.grid .tux-grouplist__item__label {
	padding-bottom: 3px; /* grid override */
	padding-left: 15px; /* grid override */
	font-weight: normal;
	line-height: 40px;
	cursor: pointer;
	white-space: nowrap;
}

.tux-grouplist__item__label .tux-statsbar {
	position: absolute;
	bottom: 0;
	width: 150px;
}

.tux-grouplist__item__icon {
	background: url( ../images/project.png ) no-repeat scroll right center transparent;
	background-image: -webkit-linear-gradient( transparent, transparent ), url( ../images/project.svg );
	/* @embed */
	background-image: linear-gradient( transparent, transparent ), url( ../images/project.svg );
	/* Keep this in sync with js! */
	background-size: 32px;
	height: 50px;
	width: 50px;
}

.grid .row .tux-grouplist__item__subgroups {
	position: absolute; /* grid override */
	padding: 0 15px 2px 0; /* grid override */
	font-weight: normal;
	line-height: 1.25em;
	bottom: 0;
	right: 0;
	text-align: right;
	color: #777;
	font-size: 10pt;
}
